#!/usr/bin/env lua

-- $Author: bam $
-- $Date: 2007-05-06 17:01:55 -0400 (Sun, 06 May 2007) $ 
-- $Revision: 34660 $

local floor = math.floor
local format = string.format
local insert = table.insert
local read, write = io.read, io.write

local dataminer = require "dataminer"
local read_items = dataminer.read_items

local fmod, modf, char = math.fmod, math.modf, string.char

local items = read_items("items.csv")

local max_id = table.maxn(items)
local s = {}
for id = 1, max_id do
  local item = items[id]
  local p = item and item.price or 0
  local c, r = fmod(p, 256), modf(p / 256)
  local b, a = fmod(r, 256), modf(r / 256)
  s[id] = char(a, b, c)
end
s = table.concat(s)

write(format('max_id=%d\n', max_id))
write('prices=\n"')
for i = 1, string.len(s) do
  write(string.format("\\%d", string.byte(s, i)))
end
write('"\n\n')



