#!/usr/bin/env lua

-- $Author: bam $
-- $Date: 2007-05-06 17:01:55 -0400 (Sun, 06 May 2007) $ 
-- $Revision: 34660 $

local string, table = string, table
local format, match, gmatch = string.format, string.match, string.gmatch
local insert = table.insert
local sort = function(t, ...) table.sort(t, ...) return t end

local dataminer = require "dataminer"
local read_items, write_items, get_page, scan_item_urls, scan_item_page, item_url = 
      dataminer.read_items, dataminer.write_items, dataminer.get_page, dataminer.scan_item_urls, dataminer.scan_item_page, dataminer.item_url

local items = read_items("items.csv")

local latest_additions_page = get_page("http://www.wowhead.com/?latest=additions")

local new_item_urls = {}
for _, id in ipairs(scan_item_urls(latest_additions_page)) do
  local item = items[id]
  if item then
    print(format("Skipping %q (%d): already known!", item.name, id))
  else
    insert(new_item_urls, id)
  end
end
if #new_item_urls == 0 then print("No new items found") return end
print(format("Found %d new item urls...", #new_item_urls))

for i, id in ipairs(new_item_urls) do
  local page = get_page(item_url(id))
  local name, price = scan_item_page(page, id)
  if name then print(format(" *%6s: Found %q (%d) = %s", tostring(i), name, id, price and tostring(price) or "(no price)")) end
  items[id] = {price = price, name = name}
end

os.execute("cp items.csv items.bak")
write_items("items.csv", items)





